

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/compat.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/compat.c~inotify-fix fs/compat.c
--- 25/fs/compat.c~inotify-fix	2005-03-08 01:27:37.000000000 -0800
+++ 25-akpm/fs/compat.c	2005-03-08 01:27:48.000000000 -0800
@@ -1236,11 +1236,9 @@ out:
 	if ((ret + (type == READ)) > 0) {
 		struct dentry *dentry = file->f_dentry;
 		if (type == READ)
-			fsnotify_access(dentry, dentry->d_inode,
-					dentry->d_name.name);
+			fsnotify_access(dentry);
 		else
-			fsnotify_modify(dentry, dentry->d_inode,
-					dentry->d_name.name);
+			fsnotify_modify(dentry);
 	}
 	return ret;
 }
_
